Subject: Re: [Monami6] returning home issue in MCoA

From: Keigo Aso <[email-masked]>
Date: Wed, 03 Oct 2007 10:59:22 +0900

Hi all,

On Mon, 24 Sep 2007 16:50:39 +0200
Nicolas Montavont <[email-masked]> wrote:
> The question is wether  a MN should be able to utilize the interface  
> attached to
> both foreign and home simultaneously.
> 
> [X] YES
> [ ]  NO
This is not the first time this issue has been raised. See:-
 http://www1.ietf.org/mail-archive/web/monami6/current/msg01051.html
Actually there was already long time discussion as a result of confirming
that this is a significant shortcoming with the previous MCoA draft.
And then We have reached version 03 draft and have seen opinions showing
the interest in this. I hope that existing valuable opinions are not 
ignored here.

> 
> If you answer YES to the question above,
> Should MCoA document support this feature?
> 
> [X] YES
> [ ] NO (not in MCoA, but in a separate document)
The current version 03 of MCoA already has a simple, accepted solution
for this particular shortcoming.  Unless we are looking at putting a
statement within MCoA to the effect that this part of the work is
incomplete?

>
> However, it requires the certain modification to the home agent,  
> which is NO NDP running on the home link.
The version 03 draft introduced just the method for HA to know that MN is
at home by using the BU with H flag. This is effective and small for HA 
which is already modified to support multiple registrations. 
Note that there is no change on Proxy Neighbor Discovery operation 
by HA in MCoA. For example, when MN is attached to only foreign link, 
HA normally runs Proxy NDP in order to defend MN's home address. 

Regards,
Keigo

> 
> The deadline for this consensus call  is October the 8th 2007.
> 
> Thank you,
> Monami6 chairs
> 
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6

---

From: Chan-Wah Ng <[email-masked]>
Date: Wed, 03 Oct 2007 18:25:45 +0800

Hello all,

On Mon, 2007-09-24 at 16:50 +0200, Nicolas Montavont wrote:
> Dear all,
> 
> At the last IETF, the authors of draft-ietf-monami6- 
> multiplecoa-03.txt introduced the H flag in order to support MN's  
> simultaneous use of  home and foreign links.
> Some people made comments that this may delay the document process.

Strange, do not understand this argument.  MCoA draft _is_ already
modifying the home agent with BID options etc ...

> 
> As Ryuji Wakikawa promised in the previous meeting, Ryuji wants to go  
> back to the original question.
> Ryuji asked the same question before, but he didn't get enough  
> feedback from WG. This is why we re-issue this question to the WG in  
> order to have more feedback.
> 
[X] YES
[ ]  NO

[X] YES

I think the current H-Flag mechanism in the BU is simple, clean way of
doing things.  There is no need for a new document.  Granted, there have
been other proposals (such as Suresh's suggested new interpretation of
De-reg BU and the virtual home link), but these are IMHO either hacks
which impose a new meaning to an existing mechanisms that was not
designed for (and by that nature, would eventually break things), or
incur sub-optimality to all other nodes on the home link.

/rgds
/cwng